package de.beyondjava.beans;

import javax.faces.bean.ManagedBean;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

public class Address {
	@Size(max=40)
	String street = "{ lorem ipsum }";

	@NotNull
	@Size(min=1, max=35)
	public String  city= null;

	private int zipCode = 64546;

	/**
	 * This is the default constructor.
	 */
	public Address()
	{
		street = "unknown";
		city = "in the middle of nowhere";
		zipCode = 0;
	}

	protected void initRandomly()
	{
		zipCode = (int)( System.currentTimeMillis() % 100000l);
	}
	public void initRandomly(int p_value)
	{
		zipCode = (int)( System.currentTimeMillis() % 100000l);
	}

	void increaseZipCode()
	{
		zipCode++;
	}

}
